# std::experimental::atomic_shared_ptr::operator shared_ptr<T>

From cppreference.com
< cpp‎ | experimental‎ | atomic shared ptr

operator shared_ptr<T>() const; |  |

Atomically loads and returns the current value of the `atomic_shared_ptr`. Equivalent to load().

### Parameters

(none)

### Return value

The current value of the `atomic_shared_ptr`.

### Remarks

All associated `use_count` increments are guaranteed to be performed as part of the atomic operation.

### Exceptions

`noexcept` specification:
noexcept

### See also

load | atomically obtains the value of the atomic object (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/atomic_shared_ptr/operator_shared_ptr&oldid=91367"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template